diff --git a/lib/app/modules/petugas_desa/views/penyaluran_view.dart b/lib/app/modules/petugas_desa/views/penyaluran_view.dart
index 5ad1507..71dd71e 100644
--- a/lib/app/modules/petugas_desa/views/penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/penyaluran_view.dart
@@ -5,12 +5,16 @@ import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/components/jadwal_section_widget.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/components/calendar_view_widget.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/tambah_penyaluran_view.dart';
-import 'package:penyaluran_app/app/routes/app_pages.dart';
 
 class PenyaluranView extends GetView<JadwalPenyaluranController> {
   const PenyaluranView({super.key});
   @override
   Widget build(BuildContext context) {
+    // Memastikan controller tersedia
+    if (!Get.isRegistered<JadwalPenyaluranController>()) {
+      Get.put(JadwalPenyaluranController());
+    }
+
     return DefaultTabController(
       length: 2,
       child: Scaffold(
@@ -84,11 +88,6 @@ class PenyaluranView extends GetView<JadwalPenyaluranController> {
                 // Ringkasan jadwal
                 _buildJadwalSummary(Get.context!),
 
-                const SizedBox(height: 16),
-
-                // Tombol untuk mengelola lokasi penyaluran
-                _buildLokasiPenyaluranSection(),
-
                 const SizedBox(height: 24),
 
                 // Jadwal hari ini
@@ -237,240 +236,4 @@ class PenyaluranView extends GetView<JadwalPenyaluranController> {
       ],
     );
   }
-
-  // Widget untuk menampilkan section lokasi penyaluran
-  Widget _buildLokasiPenyaluranSection() {
-    return Card(
-      elevation: 2,
-      shape: RoundedRectangleBorder(
-        borderRadius: BorderRadius.circular(12),
-        side: BorderSide(color: Colors.blue.shade100, width: 1),
-      ),
-      child: Padding(
-        padding: const EdgeInsets.all(16.0),
-        child: Column(
-          crossAxisAlignment: CrossAxisAlignment.start,
-          children: [
-            Row(
-              mainAxisAlignment: MainAxisAlignment.spaceBetween,
-              children: [
-                Text(
-                  'Lokasi Penyaluran',
-                  style: TextStyle(
-                    fontSize: 16,
-                    fontWeight: FontWeight.bold,
-                    color: Colors.blue.shade800,
-                  ),
-                ),
-                OutlinedButton.icon(
-                  onPressed: () {
-                    // Menampilkan dialog daftar lokasi penyaluran
-                    _showLokasiPenyaluranDialog();
-                  },
-                  icon: const Icon(Icons.map, size: 16),
-                  label: const Text('Lihat Lokasi'),
-                  style: OutlinedButton.styleFrom(
-                    foregroundColor: Colors.blue,
-                    side: BorderSide(color: Colors.blue.shade300),
-                    padding:
-                        const EdgeInsets.symmetric(horizontal: 12, vertical: 6),
-                  ),
-                ),
-              ],
-            ),
-            const SizedBox(height: 8),
-            Text(
-              'Kelola lokasi penyaluran bantuan untuk masyarakat dengan lebih mudah',
-              style: TextStyle(
-                fontSize: 12,
-                color: Colors.grey.shade600,
-              ),
-            ),
-            const SizedBox(height: 12),
-            ElevatedButton.icon(
-              onPressed: () => Get.toNamed(Routes.tambahLokasiPenyaluran),
-              icon: const Icon(Icons.add_location, size: 16),
-              label: const Text('Tambah Lokasi Penyaluran Baru'),
-              style: ElevatedButton.styleFrom(
-                backgroundColor: Colors.blue.shade50,
-                foregroundColor: Colors.blue.shade700,
-                padding:
-                    const EdgeInsets.symmetric(vertical: 10, horizontal: 12),
-                elevation: 0,
-                shape: RoundedRectangleBorder(
-                  borderRadius: BorderRadius.circular(8),
-                  side: BorderSide(color: Colors.blue.shade200),
-                ),
-              ),
-            ),
-          ],
-        ),
-      ),
-    );
-  }
-
-  // Fungsi untuk menampilkan dialog daftar lokasi penyaluran
-  void _showLokasiPenyaluranDialog() {
-    Get.dialog(
-      Dialog(
-        shape: RoundedRectangleBorder(
-          borderRadius: BorderRadius.circular(16),
-        ),
-        child: Padding(
-          padding: const EdgeInsets.all(16),
-          child: Column(
-            mainAxisSize: MainAxisSize.min,
-            crossAxisAlignment: CrossAxisAlignment.start,
-            children: [
-              Row(
-                mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                children: [
-                  Text(
-                    'Daftar Lokasi Penyaluran',
-                    style: TextStyle(
-                      fontSize: 18,
-                      fontWeight: FontWeight.bold,
-                      color: Colors.blue.shade800,
-                    ),
-                  ),
-                  IconButton(
-                    onPressed: () => Get.back(),
-                    icon: const Icon(Icons.close),
-                    visualDensity: VisualDensity.compact,
-                  ),
-                ],
-              ),
-              const SizedBox(height: 12),
-              Container(
-                constraints: BoxConstraints(
-                  maxHeight: Get.height * 0.5,
-                ),
-                width: double.infinity,
-                child: Obx(() {
-                  if (controller.isLokasiLoading.value) {
-                    return const Center(
-                      child: CircularProgressIndicator(),
-                    );
-                  }
-
-                  if (controller.lokasiPenyaluranCache.isEmpty) {
-                    return Center(
-                      child: Column(
-                        mainAxisSize: MainAxisSize.min,
-                        children: [
-                          Icon(
-                            Icons.location_off,
-                            size: 48,
-                            color: Colors.grey.shade400,
-                          ),
-                          const SizedBox(height: 16),
-                          Text(
-                            'Belum ada lokasi penyaluran',
-                            style: TextStyle(
-                              color: Colors.grey.shade600,
-                            ),
-                          ),
-                          const SizedBox(height: 8),
-                          ElevatedButton.icon(
-                            onPressed: () {
-                              Get.back();
-                              Get.toNamed(Routes.tambahLokasiPenyaluran);
-                            },
-                            icon: const Icon(Icons.add_location),
-                            label: const Text('Tambah Lokasi'),
-                            style: ElevatedButton.styleFrom(
-                              backgroundColor: Colors.blue,
-                              foregroundColor: Colors.white,
-                            ),
-                          ),
-                        ],
-                      ),
-                    );
-                  }
-
-                  return ListView.builder(
-                    shrinkWrap: true,
-                    itemCount: controller.lokasiPenyaluranCache.length,
-                    itemBuilder: (context, index) {
-                      final lokasi = controller.lokasiPenyaluranCache.values
-                          .elementAt(index);
-                      final lokasiId = controller.lokasiPenyaluranCache.keys
-                          .elementAt(index);
-                      return Card(
-                        margin: const EdgeInsets.only(bottom: 8),
-                        child: ListTile(
-                          title: Text(
-                            lokasi.nama,
-                            style: const TextStyle(
-                              fontWeight: FontWeight.bold,
-                            ),
-                          ),
-                          subtitle: Column(
-                            crossAxisAlignment: CrossAxisAlignment.start,
-                            children: [
-                              if (lokasi.alamat != null &&
-                                  lokasi.alamat!.isNotEmpty)
-                                Text(lokasi.alamat!),
-                              Row(
-                                children: [
-                                  if (lokasi.isLokasiTitip)
-                                    Container(
-                                      margin: const EdgeInsets.only(top: 4),
-                                      padding: const EdgeInsets.symmetric(
-                                          horizontal: 6, vertical: 2),
-                                      decoration: BoxDecoration(
-                                        color: Colors.green.shade100,
-                                        borderRadius: BorderRadius.circular(4),
-                                      ),
-                                      child: Text(
-                                        'Lokasi Penitipan',
-                                        style: TextStyle(
-                                          fontSize: 10,
-                                          color: Colors.green.shade800,
-                                        ),
-                                      ),
-                                    ),
-                                ],
-                              ),
-                            ],
-                          ),
-                          leading: Container(
-                            padding: const EdgeInsets.all(8),
-                            decoration: BoxDecoration(
-                              color: Colors.blue.shade50,
-                              shape: BoxShape.circle,
-                            ),
-                            child: Icon(
-                              Icons.location_on,
-                              color: Colors.blue.shade700,
-                            ),
-                          ),
-                        ),
-                      );
-                    },
-                  );
-                }),
-              ),
-              const SizedBox(height: 16),
-              Row(
-                mainAxisAlignment: MainAxisAlignment.end,
-                children: [
-                  OutlinedButton(
-                    onPressed: () {
-                      Get.back();
-                      Get.toNamed(Routes.tambahLokasiPenyaluran);
-                    },
-                    child: const Text('Tambah Lokasi Baru'),
-                    style: OutlinedButton.styleFrom(
-                      foregroundColor: Colors.blue,
-                    ),
-                  ),
-                ],
-              ),
-            ],
-          ),
-        ),
-      ),
-    );
-  }
 }
diff --git a/lib/app/modules/petugas_desa/views/petugas_desa_view.dart b/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
index 075af80..f11c00d 100644
--- a/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
+++ b/lib/app/modules/petugas_desa/views/petugas_desa_view.dart
@@ -386,6 +386,15 @@ class PetugasDesaView extends GetView<PetugasDesaController> {
                     Get.toNamed('/daftar-donatur');
                   },
                 ),
+                _buildMenuItem(
+                  icon: Icons.location_on_outlined,
+                  activeIcon: Icons.location_on,
+                  title: 'Lokasi Penyaluran',
+                  onTap: () {
+                    Navigator.pop(context);
+                    Get.toNamed('/lokasi-penyaluran');
+                  },
+                ),
                 _buildMenuItem(
                   icon: Icons.description_outlined,
                   activeIcon: Icons.description,
diff --git a/lib/app/modules/petugas_desa/views/tambah_lokasi_penyaluran_view.dart b/lib/app/modules/petugas_desa/views/tambah_lokasi_penyaluran_view.dart
index 79facf7..550f061 100644
--- a/lib/app/modules/petugas_desa/views/tambah_lokasi_penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/tambah_lokasi_penyaluran_view.dart
@@ -15,16 +15,28 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
         backgroundColor: AppTheme.primaryColor,
         foregroundColor: Colors.white,
       ),
-      body: _buildTambahLokasiPenyaluranForm(context),
+      body: _LokasiPenyaluranForm(controller: controller),
     );
   }
+}
 
-  Widget _buildTambahLokasiPenyaluranForm(BuildContext context) {
-    final formKey = GlobalKey<FormState>();
-    final TextEditingController namaController = TextEditingController();
-    final TextEditingController alamatLengkapController =
-        TextEditingController();
+class _LokasiPenyaluranForm extends StatefulWidget {
+  final JadwalPenyaluranController controller;
 
+  const _LokasiPenyaluranForm({required this.controller});
+
+  @override
+  State<_LokasiPenyaluranForm> createState() => _LokasiPenyaluranFormState();
+}
+
+class _LokasiPenyaluranFormState extends State<_LokasiPenyaluranForm> {
+  final formKey = GlobalKey<FormState>();
+  final TextEditingController namaController = TextEditingController();
+  final TextEditingController alamatLengkapController = TextEditingController();
+  bool isLokasiTitip = false;
+
+  @override
+  Widget build(BuildContext context) {
     return Padding(
       padding: const EdgeInsets.all(16.0),
       child: Form(
@@ -95,6 +107,29 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
                   return null;
                 },
               ),
+              const SizedBox(height: 16),
+
+              // Checkbox Is Lokasi Titip
+              Row(
+                children: [
+                  Checkbox(
+                    value: isLokasiTitip,
+                    activeColor: AppTheme.primaryColor,
+                    onChanged: (newValue) {
+                      setState(() {
+                        isLokasiTitip = newValue ?? false;
+                      });
+                    },
+                  ),
+                  const Text('Lokasi Titip'),
+                  const SizedBox(width: 4),
+                  const Tooltip(
+                    message:
+                        'Centang jika lokasi ini merupakan lokasi yang dapat menerima penitipan',
+                    child: Icon(Icons.info_outline, size: 16),
+                  ),
+                ],
+              ),
               const SizedBox(height: 24),
 
               // Tombol Submit
@@ -107,6 +142,7 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
                       _tambahLokasiPenyaluran(
                         nama: namaController.text,
                         alamatLengkap: alamatLengkapController.text,
+                        isLokasiTitip: isLokasiTitip,
                       );
                     }
                   },
@@ -137,6 +173,7 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
   Future<void> _tambahLokasiPenyaluran({
     required String nama,
     required String alamatLengkap,
+    required bool isLokasiTitip,
   }) async {
     try {
       // Tampilkan loading
@@ -152,7 +189,8 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
       final String id = uuid.v4();
 
       // Ambil ID petugas desa yang sedang login dari controller
-      final String? petugasDesaId = controller.supabaseService.currentUser?.id;
+      final String? petugasDesaId =
+          widget.controller.supabaseService.currentUser?.id;
 
       if (petugasDesaId == null) {
         Get.back(); // Tutup dialog loading
@@ -167,7 +205,7 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
 
       // Dapatkan desa_id dari data petugas desa
       // Ambil data petugas desa dari Supabase untuk mendapatkan desa_id
-      final petugasDesaData = await controller.supabaseService.client
+      final petugasDesaData = await widget.controller.supabaseService.client
           .from('petugas_desa')
           .select('desa_id')
           .eq('id', petugasDesaId)
@@ -193,11 +231,12 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
         'nama': nama,
         'alamat_lengkap': alamatLengkap,
         'desa_id': desaId,
+        'is_lokasi_titip': isLokasiTitip,
         'created_at': DateTime.now().toIso8601String(),
       };
 
       // Insert data ke tabel lokasi_penyaluran
-      await controller.supabaseService.client
+      await widget.controller.supabaseService.client
           .from('lokasi_penyaluran')
           .insert(data);
 
@@ -216,7 +255,7 @@ class TambahLokasiPenyaluranView extends GetView<JadwalPenyaluranController> {
       Get.back();
 
       // Refresh data di controller
-      controller.refreshData();
+      widget.controller.refreshData();
     } catch (e) {
       // Tutup dialog loading
       Get.back();
diff --git a/lib/app/routes/app_pages.dart b/lib/app/routes/app_pages.dart
index f78e9ce..c473313 100644
--- a/lib/app/routes/app_pages.dart
+++ b/lib/app/routes/app_pages.dart
@@ -13,6 +13,7 @@ import 'package:penyaluran_app/app/modules/petugas_desa/views/daftar_donatur_vie
 import 'package:penyaluran_app/app/modules/petugas_desa/views/detail_donatur_view.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/tambah_penyaluran_view.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/tambah_lokasi_penyaluran_view.dart';
+import 'package:penyaluran_app/app/modules/petugas_desa/views/lokasi_penyaluran_view.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/riwayat_penyaluran_view.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/views/detail_penyaluran_page.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/bindings/penyaluran_binding.dart';
@@ -155,6 +156,11 @@ class AppPages {
       page: () => const TambahLokasiPenyaluranView(),
       binding: PetugasDesaBinding(),
     ),
+    GetPage(
+      name: _Paths.lokasiPenyaluran,
+      page: () => const LokasiPenyaluranView(),
+      binding: PetugasDesaBinding(),
+    ),
     GetPage(
       name: _Paths.detailPenyaluran,
       page: () => DetailPenyaluranPage(),
diff --git a/lib/app/routes/app_routes.dart b/lib/app/routes/app_routes.dart
index a59a202..32e76b7 100644
--- a/lib/app/routes/app_routes.dart
+++ b/lib/app/routes/app_routes.dart
@@ -30,6 +30,7 @@ abstract class Routes {
   static const detailDonatur = _Paths.detailDonatur;
   static const tambahPenyaluran = _Paths.tambahPenyaluran;
   static const tambahLokasiPenyaluran = _Paths.tambahLokasiPenyaluran;
+  static const lokasiPenyaluran = _Paths.lokasiPenyaluran;
   static const daftarPenerimaPenyaluran = _Paths.daftarPenerimaPenyaluran;
   static const detailPenerimaPenyaluran = _Paths.detailPenerimaPenyaluran;
   static const laporanPenyaluran = _Paths.laporanPenyaluran;
@@ -78,6 +79,7 @@ abstract class _Paths {
   static const detailDonatur = '/daftar-donatur/detail';
   static const tambahPenyaluran = '/tambah-penyaluran';
   static const tambahLokasiPenyaluran = '/tambah-lokasi-penyaluran';
+  static const lokasiPenyaluran = '/lokasi-penyaluran';
   static const daftarPenerimaPenyaluran = '/daftar-penerima-penyaluran';
   static const detailPenerimaPenyaluran = '/detail-penerima-penyaluran';
   static const laporanPenyaluran = '/laporan-penyaluran';
diff --git a/lib/app/services/supabase_service.dart b/lib/app/services/supabase_service.dart
index d2a8a97..f7f0bc8 100644
--- a/lib/app/services/supabase_service.dart
+++ b/lib/app/services/supabase_service.dart
@@ -3,6 +3,7 @@ import 'package:penyaluran_app/app/data/models/donatur_model.dart';
 import 'package:penyaluran_app/app/data/models/petugas_desa_model.dart';
 import 'package:penyaluran_app/app/data/models/user_model.dart';
 import 'package:penyaluran_app/app/data/models/warga_model.dart';
+import 'package:penyaluran_app/app/data/models/lokasi_penyaluran_model.dart';
 import 'package:supabase_flutter/supabase_flutter.dart';
 import 'dart:io';
 
@@ -1736,6 +1737,33 @@ class SupabaseService extends GetxService {
     }
   }
 
+  // Metode untuk mendapatkan lokasi penyaluran berdasarkan ID petugas
+  Future<List<LokasiPenyaluranModel>> getLokasiPenyaluran(
+      {String? petugasId}) async {
+    try {
+      var query = client.from('lokasi_penyaluran').select('*');
+
+      final response = await query.order('nama');
+
+      return response
+          .map((data) => LokasiPenyaluranModel.fromJson(data))
+          .toList();
+    } catch (e) {
+      print('Error getting lokasi penyaluran: $e');
+      return [];
+    }
+  }
+
+  // Metode untuk menghapus lokasi penyaluran
+  Future<void> deleteLokasiPenyaluran(String lokasiId) async {
+    try {
+      await client.from('lokasi_penyaluran').delete().eq('id', lokasiId);
+    } catch (e) {
+      print('Error deleting lokasi penyaluran: $e');
+      throw e.toString();
+    }
+  }
+
   // Metode untuk mendapatkan daftar penerima penyaluran berdasarkan ID penyaluran
   Future<List<Map<String, dynamic>>?> getPenerimaPenyaluran(
       String penyaluranId) async {
